List organization repositories
curl --request GET \
--url https://api.diversion.dev/v0/organizations/{org_id}/repos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/organizations/{org_id}/repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/organizations/{org_id}/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Repo",
"items": [
{
"repo_name": "repo-name",
"repo_id": "example_id",
"size_bytes": 123,
"owner_user_id": "<string>",
"created_timestamp": 123,
"description": "<string>",
"organization_id": "<string>",
"default_branch_id": "<string>",
"default_branch_name": "<string>",
"sync_git_repo_url": "<string>",
"sync_git_level": 4,
"def_auto_forwarding_enabled": true
}
]
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Organization Management
List organization repositories
Get a list of all repositories in the organization
GET
/
organizations
/
{org_id}
/
repos
List organization repositories
⌘I

